summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-04-04 02:56:17 +0000
committerSam James <sam@gentoo.org>2021-04-04 06:32:39 +0000
commitfb3d6404d6d6448c5c9ff874eec253947f4b4095 (patch)
tree15fbac7549d42ba458df8162143b3498ead38847
parentgames-board/xscrabble: port to EAPI 7, games.eclass-- (diff)
downloadgentoo-fb3d6404d6d6448c5c9ff874eec253947f4b4095.tar.gz
gentoo-fb3d6404d6d6448c5c9ff874eec253947f4b4095.tar.bz2
gentoo-fb3d6404d6d6448c5c9ff874eec253947f4b4095.zip
games-arcade/pachi: port to EAPI 7, games.eclass--
Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--games-arcade/pachi/files/1.0-autotools.patch12
-rw-r--r--games-arcade/pachi/pachi-1.0-r1.ebuild (renamed from games-arcade/pachi/pachi-1.0.ebuild)35
2 files changed, 30 insertions, 17 deletions
diff --git a/games-arcade/pachi/files/1.0-autotools.patch b/games-arcade/pachi/files/1.0-autotools.patch
index 0d0185f142f..79e79d3a89e 100644
--- a/games-arcade/pachi/files/1.0-autotools.patch
+++ b/games-arcade/pachi/files/1.0-autotools.patch
@@ -1,5 +1,5 @@
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
@@ -1,5 +1,7 @@
# Process this file with autoconf to produce a configure script.
+AC_PREREQ([2.54])
@@ -17,8 +17,8 @@
fi
eval DATAPATH=`eval echo "$DATADIR"`
---- data/Makefile.am
-+++ data/Makefile.am
+--- a/data/Makefile.am
++++ b/data/Makefile.am
@@ -10,13 +10,13 @@
objects_v2.dat \
rooms_v2.dat
@@ -39,8 +39,8 @@
+ for file in $(score_DATA_); do \
+ $(INSTALL) -g $(group) -m $(perms) $$file $(DESTDIR)$(scoredir); \
+ done
---- Makefile.am
-+++ Makefile.am
+--- a/Makefile.am
++++ b/Makefile.am
@@ -1 +1 @@
-SUBDIRS = src Tgfx data fonts music sounds docs
+SUBDIRS = src Tgfx data fonts music sounds
diff --git a/games-arcade/pachi/pachi-1.0.ebuild b/games-arcade/pachi/pachi-1.0-r1.ebuild
index f1cc4a2b7bb..d8cfae4ed69 100644
--- a/games-arcade/pachi/pachi-1.0.ebuild
+++ b/games-arcade/pachi/pachi-1.0-r1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-inherit autotools eutils games
+EAPI=7
+
+inherit autotools desktop
DESCRIPTION="platform game inspired by games like Manic Miner and Jet Set Willy"
HOMEPAGE="http://dragontech.sourceforge.net/index.php?main=pachi&lang=en"
@@ -10,28 +11,40 @@ HOMEPAGE="http://dragontech.sourceforge.net/index.php?main=pachi&lang=en"
# (should be downloaded and re-compressed with tar -jcvf)
#SRC_URI="mirror://sourceforge/dragontech/pachi_source.tgz"
SRC_URI="mirror://gentoo/${P}.tar.bz2"
+S="${WORKDIR}"/Pachi
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
-DEPEND="media-libs/libsdl[joystick,sound,video]
- media-libs/sdl-mixer[mod]"
-RDEPEND="${DEPEND}"
+DEPEND="
+ media-libs/libsdl[joystick,sound,video]
+ media-libs/sdl-mixer[mod]
+"
+RDEPEND="
+ ${DEPEND}
+ acct-group/gamestat
+"
-S=${WORKDIR}/Pachi
+PATCHES=(
+ "${FILESDIR}"/${PV}-autotools.patch
+)
src_prepare() {
- epatch "${FILESDIR}"/${PV}-autotools.patch
- rm -f missing
+ default
+
+ rm -f missing || die
mv configure.in configure.ac || die
eautoreconf
}
src_install() {
default
+
newicon Tgfx/icon.bmp ${PN}.bmp
make_desktop_entry ${PN} Pachi /usr/share/pixmaps/${PN}.bmp
- prepgamesdirs
+
+ fowners root:gamestat /var/lib/${PN}/data/scores.dat
+ fperms 660 /var/lib/${PN}/data/scores.dat
+ fperms g+s /usr/bin/${PN}
}